﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.8
@EndOfDesignText@
'Static code module
#IgnoreWarnings:12
Sub Process_Globals
	Public app As SDUIApp		'ignore
	Public BANano As BANano		'ignore
	Private appnavbar As SDUINavBar		'ignore
	Private appmenu As SDUIMenu					'ignore
	Private appfooter As SDUIFooter				'ignore
	Private pageview As SDUIPageView			'ignore
End Sub

Sub Initialize					'ignoreDeadCode
	'initialize the app
	BANano.Await(app.AddApp(Me, Main.AppName))
	'set the font of the app
	app.Font = "font-sans"
	'set the body to take the full viewport
	app.FullScreen = True
	'set the background image
	app.BackgroundImage = "./assets/7.jpg"
	'load the base layout
	BANano.LoadLayout(app.Here, "baselayout")
	'
	appmenu.AddItem("itemhome", "Home")
	appmenu.AddItem("itemservices", "Services")
	appmenu.AddItem("itemcontactus", "Contact Us")
	appmenu.AddItem("itemsignin", "Sign In")
	appmenu.AddItem("itemsignup", "Sign Up")
	
	'add any other page not added to the drawer menu
	AddPages
	'create the footer
	CreateFooter
	'show the home page
	pgHome.Show(app)
End Sub

'NB: use this to add pages that are not added to the side nav bar
Sub AddPages
	'example
	app.AddPage(pgHome)				'ignore
	app.AddPage(pgServices)			'ignore
	app.AddPage(pgContactUs)		'ignore
	app.AddPage(pgSignIn)			'ignore
	app.AddPage(pgSignUp)			'ignore
	app.AddPage(pgUsers)			'ignore
End Sub

Sub CreateFooter
	Dim c1 As SDUIDiv = appfooter.AddColumn("c1", "")
	c1.AddFooterTitle("ft1", "Services")
	c1.AddLink("ft1l1", "Branding", "#").Hover
	c1.AddLink("ft1l2", "Design", "#").Hover
	c1.AddLink("ft1l3", "Marketing", "#").Hover
	c1.AddLink("ft1l4", "Advertisement", "#").Hover
	
	'
	Dim c2 As SDUIDiv = appfooter.AddColumn("c2", "")
	c2.AddFooterTitle("ft2", "Company")
	c2.AddLink("ft2l1", "About Us", "#").Hover
	c2.AddLink("ft2l2", "Contact Us", "#").Hover
	c2.AddLink("ft2l3", "Services", "#").Hover
	c2.AddLink("ft2l4", "Press Kit", "#").Hover
	'
	Dim c3 As SDUIDiv = appfooter.AddColumn("c3", "")
	c3.AddFooterTitle("ft3", "Legal")
	c3.AddLink("ft3l1", "Terms of Use", "#").Hover
	c3.AddLink("ft3l2", "Privacy Policy", "#").Hover
	c3.AddLink("ft3l3", "Cookie Policy", "#").Hover
End Sub


Private Sub appmenu_Click (item As String)
	Select Case item
	Case "itemhome"
		pgHome.Show(app)
	Case "itemservices"
		pgServices.Show(app)
	Case "itemcontactus"
		pgContactUs.Show(app)
	Case "itemsignin"
		pgSignIn.Show(app)
	Case "itemsignup"
		pgSignUp.Show(app)
	End Select
End Sub

Sub ft1l1_click(e As BANanoEvent)
	e.PreventDefault
	pgHome.Show(app)
End Sub

Sub ft2l2_click(e As BANanoEvent)
	e.PreventDefault
	pgContactUs.Show(app)
End Sub

Sub ft2l3_click(e As BANanoEvent)
	e.PreventDefault
	pgServices.Show(app)
End Sub
